# Quick TODO list

*P* = pending; *W* = working on it; *D* = done.

## Critical for MVP

- *W* Descriptive resource CRUD
- *P* Data resource CRUD
- *P* Modular back end layout
- *P* Data resource back end (disk)
- *P* Checksum
  - *P* BLAKE2
  - *P* SHA256
- *P* Structures
  - *P* Sets
  - *P* Proxies
  - *P* Linked Lists
- *P* Versioning & soft-deleting
  - *P* Create version
  - *P* Retrieve version (memento)
  - *P* Revert to version
  - *P* Delete version(s)
  - *P* Bury & resurrect
  - *P* Forget

## Non-critical for MVP

- *P* Optimization
  - *P* Strategic indexing (e.g. resource subject IDs)


## Long-term

- Workflow management
